### Method

# Devhelp Settings freeze_books_disabled_changed

since: 3.30

#### Declaration [src]

    void
    dh_settings_freeze_books_disabled_changed (
      DhSettings* settings
    )

#### Description [src]

Tells `settings` to not emit the `DhSettings::books-disabled-changed` signal until `dh_settings_thaw_books_disabled_changed()` is called.

A bit like g_object_freeze_notify(), except that there is no freeze count.

This function is useful if you call `dh_settings_set_book_enabled()` several times in a row.

Available since: 3.30